# -*- coding: utf-8 -*-
"""
Fonction d'aide à la manipulation d'image
"""

from scipy import misc
import matplotlib.pyplot as plt


def lit_image(chemin):
    image = misc.imread(chemin)
    _, _, col_nb = image.shape
    if col_nb > 3:
        return image[:, :, 0:3]
    return image


def affiche_image(img):
    plt.imshow(img, interpolation='nearest')
    plt.axis('off')
    plt.show()


def noir_et_blanc(img):
    """
    Retourne l'image img transformée en noir et blanc
    """
    img2 = img.copy()  # copie pour eviter de modifier l'image de départ

    # remplir ici
    return img2


def noir_et_blanc2(img):
    """
    Même chose, en utilisant des coefficients pour calculer la moyenne : 0.299R + 0.587G + 0.114B
    """
    return


def elimine_couleur(img, couleur):
    if couleur == 'R':
        # faire des trucs
        pass
    elif couleur == 'G':
        # la même chose ?
        pass
    else:
        # et enfin...
        pass

    return


def floyd_couleur(img, seuil, i_couleur):
    """
    Applique la transformation décrite dans l'énoncé à l'image donnée, sur la couleur d'indice
    i_couleur. Aucun besoin de copier l'image ici
    """
    return img


def floyd(img, seuil):
    """
    Retourne l'image obtenue par transformation de Floyd depuis img.
    Ne modifie pas l'image source.
    """
    return


def photomaton(img):
    """
    A vous de jouer !
    """
    return
